//
//  AppDelegate.swift
//  Orient
//
//  Created by SSCSIS on 1/20/15.
//  Copyright (c) 2015 Pace. All rights reserved.
//

import UIKit

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

	var window: UIWindow?


	func application(application: UIApplication, didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {
		// Override point for customization after application launch.
		
		let notificationCenter: NSNotificationCenter = NSNotificationCenter.defaultCenter();
		let device: UIDevice = UIDevice.currentDevice();
		
		notificationCenter.addObserver(self,
			selector: "deviceOrientationDidChange:",
			name: UIDeviceOrientationDidChangeNotification,
			object: device);
		
		return true;
	}

	func applicationWillResignActive(application: UIApplication) {
		// Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
		// Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
		
		let device: UIDevice = UIDevice.currentDevice();
		device.endGeneratingDeviceOrientationNotifications();
	}

	func applicationDidEnterBackground(application: UIApplication) {
		// Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
		// If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
	}

	func applicationWillEnterForeground(application: UIApplication) {
		// Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
	}

	func applicationDidBecomeActive(application: UIApplication) {
		// Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
		
		let device: UIDevice = UIDevice.currentDevice();
		device
		.beginGeneratingDeviceOrientationNotifications();
	}

	func applicationWillTerminate(application: UIApplication) {
		// Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
	}
	
	func deviceOrientationDidChange(notification: NSNotification) {
		let device: UIDevice = UIDevice.currentDevice();
		let orientation: UIDeviceOrientation = device.orientation;
		
		if orientation == UIDeviceOrientation.Portrait {
			println("portrait");
			let navigationController: UINavigationController = UINavigationController(nibName: nil, bundle: nil);
			let tableViewController: TableViewController = TableViewController(nibName: nil, bundle: nil);
			tableViewController.title = "My Table View";
			navigationController.pushViewController(tableViewController, animated: false);
			
			window!.rootViewController! = navigationController;
		} else {
			println("landscape");
			window!.rootViewController! = ViewController(nibName: nil, bundle: nil);
		}
		
	}


}

